* Definition of function fact:
      Integer Function Fact(N)               
      Integer Prod, N, I      
                                   
      Prod = 1                    
      DO 100 I = 1, N            
         Prod = Prod*I          
100   Continue                 
      Fact = Prod             
                             
      End                   
